QT += core websockets

CONFIG += c++11 console

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    app/main.cpp \
    app/securechat.cpp \
    mqtt/mqtt.cpp \
	mqtt/mqttpacket.cpp

HEADERS += \
    app/securechat.h \
    mqtt/mqtt.h \
    mqtt/mqtterror.h \
	mqtt/mqttpacket.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    app/ssl.qrc

DISTFILES += \
    app/ssl/ssl.cert \
    app/ssl/ssl.key
